## deepin-passkey 1.1.3

=== misc/CMakeLists.txt ===
file(GLOB_RECURSE DBUS_CONF
    "dbus/system.d/*.conf"
)
install(FILES ${DBUS_CONF} DESTINATION share/dbus-1/system.d/)

file(GLOB_RECURSE DBUS_SYSTEM_SERVICE
    "dbus/system-services/*.service"
)
install(FILES ${DBUS_SYSTEM_SERVICE} DESTINATION share/dbus-1/system-services/)

file(GLOB_RECURSE SYSTEMD_SERVICE
    "systemd/system/*.service"
)
install(FILES ${SYSTEMD_SERVICE} DESTINATION /lib/systemd/system/)

file(GLOB POLKIT_FILES
    "polkit/com.deepin.dde.passkey.dcc-plugin.policy",
    "polkit/org.deepin.Passkey1.policy"
)
install(FILES ${POLKIT_FILES} DESTINATION share/polkit-1/actions/)

=== src/dcc-passkey-plugin/CMakeLists.txt ===
set(PROJECT_NAME dcc-passkey-plugin)

project(${PROJECT_NAME})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(Qt6 COMPONENTS Core Gui Widgets DBus Network LinguistTools Concurrent REQUIRED)
find_package(Dtk6 COMPONENTS Core Gui REQUIRED)
find_package(PolkitQt6-1 REQUIRED)

message(STATUS "dde-control-center version:" ${DdeControlCenter_VERSION})

set(Passkey_Name passkey)

file(GLOB_RECURSE passkey_SRCS
        "operation/*.cpp"
        "operation/*.h"
        "operation/*.qrc"
        "../common/*.h"
        "../common/*.c"
        "../decode/*.h"
        "../decode/*.c"
)

add_library(${Passkey_Name} MODULE
        ${passkey_SRCS}
)

target_include_directories(${Passkey_Name} PUBLIC
        Dde::Control-Center
)

set(Passkey_Libraries
        Qt6::Core
        Qt6::Gui
        Qt6::Widgets
        Qt6::DBus
        Qt6::Concurrent
        Qt::Network
        Dtk6::Core
        Dtk6::Gui
        Dde::Control-Center
        PolkitQt6-1::Agent
)

target_link_libraries(${Passkey_Name} PRIVATE
        ${Passkey_Libraries}
)

target_include_directories(${Passkey_Name} PUBLIC
        ${CMAKE_SOURCE_DIR}/src
)

install(FILES "misc/org.deepin.dde.control-center.passkey.json" DESTINATION share/dsg/configs/org.deepin.dde.control-center)
dcc_install_plugin(NAME ${Passkey_Name} TARGET ${Passkey_Name})
dcc_handle_plugin_translation(NAME ${Passkey_Name} )

=== debian/changelog ===
deepin-passkey (1.1.3) unstable; urgency=medium

  * fix: adjust SetPinDialog height for better layout
  * fix: add scroll support to ResetPasskeyDialog
  * chore: remove copyright headers and unused dependencies

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 14 Aug 2025 20:51:53 +0800

deepin-passkey (1.1.2) unstable; urgency=medium

  * Chore: update translation
  * Chore: update translation

 -- fuleyi <fuleyi@uniontech.com>  Thu, 07 Aug 2025 21:48:04 +0800

deepin-passkey (1.1.1) unstable; urgency=medium

  * fix: fido认证卡住问题修复
  * feat: 增加控制中心的passkey插件
  * feat: 更新SM2加密解密和签名测试，优化OpenSSL 3.0兼容性
  * chore: add dep qt6-declarative-dev
  * feat: improve passkey PIN management UI

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 1 Aug 2025 12:06:27 +0800

deepin-passkey (1.1.0) unstable; urgency=medium

  * 支持openssl3.2

 -- fuleyi <fuleyi@uniontech.com>  Wed, 23 Jul 2025 16:06:27 +0800

deepin-passkey (1.0.2) unstable; urgency=medium

  * 增加PIN码加密传输功能
  * 控制中心插件在注册设备时，增加了polkit鉴权

 -- Tan Feng <tanfeng@uniontech.com>  Wed, 25 Oct 2023 10:21:17 +0800

deepin-passkey (1.0.1) unstable; urgency=medium

  * add dcc plugin for passkey

 -- chujiaqi <chujiaqi@uniontech.com>  Sun, 08 Oct 2023 18:00:51 +0800

deepin-passkey (1.0.0) unstable; urgency=medium

  * support passkey

 -- Tan Feng <tanfeng@uniontech.com>  Wed, 09 Aug 2023 15:06:52 +0800

=== debian/control ===
Source: deepin-passkey
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 pkg-config,
 libfido2-dev,
 libssl-dev,
 libglib2.0-dev,
 libgtest-dev,
 libjson-c-dev,
 gettext,
 libdtk6widget-dev (>=5.4.19),
 libdtk6core-dev (>=5.4.14),
 libdtk6core-bin (>=5.4.14),
 libdtk6gui-dev (>=5.4.13),
 libgsettings-qt-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 dde-control-center-dev,
 libpolkit-qt6-1-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-passkey-environment
Architecture: any
Depends:
 deepin-passkey,
 dcc-passkey-plugin,
Description: dde passkey.
 This is a package used to install the passkey environment for dde.

Package: dcc-passkey-plugin
Architecture: any
Depends:
 deepin-passkey,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde-control-center passkey plugin.
 This package is a dde-control-center plugin package for passkey

Package: deepin-passkey
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: deepin passkey service.
 This is a project to support Passkey.

## deepin-passkey 1.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-passkey VERSION 1.0 LANGUAGES C CXX)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr CACHE PATH "/usr" FORCE)
endif()

# add_compile_definitions(NO_USE_ENCRYPT)

enable_testing()

add_subdirectory("src")
add_subdirectory("misc")

add_subdirectory("tests")

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -17,4 +17,13 @@
     "polkit/com.deepin.dde.passkey.dcc-plugin.policy",
     "polkit/org.deepin.Passkey1.policy"
 )
+
+set(POLICY_FILE_DCC ${CMAKE_SOURCE_DIR}/misc/polkit/com.deepin.dde.passkey.dcc-plugin.policy)
+find_program(POLICY_TS_CONV deepin-policy-ts-convert REQUIRED)
+add_custom_target(POLICY_TS
+    ALL
+    COMMAND ${POLICY_TS_CONV} ts2policy ${POLICY_FILE_DCC} ${CMAKE_SOURCE_DIR}/misc/polkit/translations/ ${POLICY_FILE_DCC}.tmp
+    COMMAND mv ${POLICY_FILE_DCC}.tmp ${POLICY_FILE_DCC}
+)
+
 install(FILES ${POLKIT_FILES} DESTINATION share/polkit-1/actions/)

=== src/CMakeLists.txt ===
add_subdirectory("service")
add_subdirectory("dcc-passkey-plugin")

=== tests/CMakeLists.txt ===

set(TEST_NAME "deepin-passkey-tests")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


find_package(GTest REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(OPENSSL REQUIRED IMPORTED_TARGET openssl)
pkg_check_modules(JSONC REQUIRED IMPORTED_TARGET json-c)
pkg_check_modules(GLIB REQUIRED IMPORTED_TARGET glib-2.0 gio-2.0 gobject-2.0 gio-unix-2.0)
pkg_check_modules(Fido REQUIRED IMPORTED_TARGET libfido2)


file(GLOB_RECURSE TEST_SRCS
    "${PROJECT_SOURCE_DIR}/src/common/*.c"
    "${PROJECT_SOURCE_DIR}/src/decode/*.c"
    "${PROJECT_SOURCE_DIR}/src/service/err.c"
    "${PROJECT_SOURCE_DIR}/src/service/dev/*.c"
    "${PROJECT_SOURCE_DIR}/src/service/serviceframe/*.c"
    "${PROJECT_SOURCE_DIR}/src/service/servicesignal.c"
    "*.cpp"
)

add_executable(${TEST_NAME}
    ${TEST_SRCS}
)

target_include_directories(${TEST_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/src/
    ${PROJECT_SOURCE_DIR}/src/service
)
target_link_libraries(${TEST_NAME} PRIVATE
    ${GTEST_LIBRARIES}
    PkgConfig::GLIB
    PkgConfig::OPENSSL
    PkgConfig::JSONC
    PkgConfig::Fido
    -lpthread
    -ldl
)

add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME} "--gtest_output=xml:${PROJECT_BINARY_DIR}/ut-test-report.xml")

=== src/dcc-passkey-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(DdeControlCenter REQUIRED)
-find_package(Qt6 COMPONENTS Core Gui Widgets DBus Network LinguistTools Concurrent REQUIRED)
+find_package(Qt6 COMPONENTS Core Gui DBus LinguistTools REQUIRED)
 find_package(Dtk6 COMPONENTS Core Gui REQUIRED)
 find_package(PolkitQt6-1 REQUIRED)
 
@@ -40,10 +40,7 @@
 set(Passkey_Libraries
         Qt6::Core
         Qt6::Gui
-        Qt6::Widgets
         Qt6::DBus
-        Qt6::Concurrent
-        Qt::Network
         Dtk6::Core
         Dtk6::Gui
         Dde::Control-Center

=== src/service/CMakeLists.txt ===
set(SECURITY_COMPILE_FLAGS "-W -Wall -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

add_compile_definitions(_GNU_SOURCE)

set(SERVICE "deepin-passkey")

find_package(PkgConfig REQUIRED)
pkg_check_modules(GLIB REQUIRED IMPORTED_TARGET glib-2.0 gio-2.0 gobject-2.0 gio-unix-2.0) # gdbus
pkg_check_modules(Fido REQUIRED IMPORTED_TARGET libfido2)
pkg_check_modules(OPENSSL REQUIRED IMPORTED_TARGET openssl)
pkg_check_modules(JSONC REQUIRED IMPORTED_TARGET json-c)

set(CMAKE_C_FLAGS ${SECURITY_COMPILE_FLAGS})
set(CMAKE_INCLUDE_CURRENT_DIR ON)

execute_process(COMMAND sh -c "${CMAKE_CURRENT_SOURCE_DIR}/xml2str.sh ${PROJECT_SOURCE_DIR}/file/xml/org.deepin.Passkey1.xml"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

file(GLOB_RECURSE SRCS
    "*.c"
    "${PROJECT_SOURCE_DIR}/src/common/*.c"
    "${PROJECT_SOURCE_DIR}/src/decode/*.c"
    "serviceframe/*.c"
    "dev/*.c"
    "rp/*.c"
    ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.Passkey1.c
)

add_executable(${SERVICE}
    ${SRCS}
)

target_include_directories(${SERVICE} PUBLIC
    ${PROJECT_SOURCE_DIR}/src/
    PkgConfig::GLIB
    PkgConfig::Fido
    PkgConfig::JSONC
    PkgConfig::OPENSSL
)

target_link_libraries(${SERVICE} PRIVATE
    PkgConfig::GLIB
    PkgConfig::Fido
    PkgConfig::JSONC
    PkgConfig::OPENSSL
    -lpthread
)

# 手动命令，make tr-pot，生成pot
add_custom_target("tr-pot"
    COMMAND
        find src/service/ -name "*.c" > ${CMAKE_CURRENT_BINARY_DIR}/deepin-passkey-service-c.file
    COMMAND
        xgettext --from-code utf-8 --files-from=${CMAKE_CURRENT_BINARY_DIR}/deepin-passkey-service-c.file  -o ${PROJECT_SOURCE_DIR}/file/translate/service/deepin-passkey-service.pot
    COMMENT
        "to generate deepin-passkey-service.pot"
    WORKING_DIRECTORY
        ${PROJECT_SOURCE_DIR}
    VERBATIM
)

# 手动命令，make tr-po，生成po
add_custom_target("tr-po")
set(PO_LANGS zh_CN zh_TW)
foreach(PO_LANG ${PO_LANGS})
        add_custom_command(
        TARGET "tr-po"
        COMMAND
            msginit --locale=${PO_LANG} --input=deepin-passkey-service.pot
        COMMENT
            "to generate ${PO_LANG}.po"
        WORKING_DIRECTORY
            ${PROJECT_SOURCE_DIR}/file/translate/service/
        VERBATIM
    )
endforeach()

# 构建时自动生成mo
file(GLOB_RECURSE PO_FILES
    "${PROJECT_SOURCE_DIR}/file/translate/service/*.po"
)
foreach(PO ${PO_FILES})
    get_filename_component(PO_NAME ${PO} NAME_WE)
    add_custom_command(
        TARGET ${SERVICE}
        COMMAND
            mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/mo/${PO_NAME}/LC_MESSAGES/
        COMMAND
            msgfmt -o ${CMAKE_CURRENT_BINARY_DIR}/mo/${PO_NAME}/LC_MESSAGES/deepin-passkey-service.mo ${PO}
        POST_BUILD
        VERBATIM
    )
endforeach()

install(TARGETS ${SERVICE} DESTINATION bin)

install(DIRECTORY DESTINATION /var/lib/deepin-passkey/cred/)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/mo/ DESTINATION share/locale)

=== debian/changelog ===
deepin-passkey (1.1.6) unstable; urgency=medium

  * fix: add polkit policy translation support

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 26 Sep 2025 10:55:39 +0800

deepin-passkey (1.1.5) unstable; urgency=medium

  * chore: update debian build dependencies

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:11:25 +0800

deepin-passkey (1.1.4) unstable; urgency=medium

  * fix: standardize font styles in security dialogs

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 22 Aug 2025 10:09:17 +0800

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,16 @@
  libgtest-dev,
  libjson-c-dev,
  gettext,
- libdtk6widget-dev (>=5.4.19),
- libdtk6core-dev (>=5.4.14),
- libdtk6core-bin (>=5.4.14),
- libdtk6gui-dev (>=5.4.13),
+ libdtk6widget-dev,
+ libdtk6core-dev,
+ libdtk6gui-dev,
  libgsettings-qt-dev,
  qt6-base-dev,
+ qt6-declarative-dev,
  qt6-tools-dev,
- qt6-tools-dev-tools,
- qt6-declarative-dev,
  dde-control-center-dev,
  libpolkit-qt6-1-dev,
+ deepin-gettext-tools,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
